<?php
class SincronizacionModel extends Query{
    public function __construct()
    {
        parent::__construct();
    }
    private $fecha_hora, $nuevo,$actualizacion;

    public function insertSincronizacion(string $fecha_hora,int $nuevo,int $actualizacion)
    {
        $this->fecha_hora = $fecha_hora;
        $this->nuevo = $nuevo;
        $this->actualizacion = $actualizacion;
        $sql = "insert into sincronizaciones (fecha_hora,nuevo,actualizacion) values (?,?,?)";
        $datos = array($this->fecha_hora,$this->nuevo,$this->actualizacion);
        $data=$this->save($sql,$datos);
        if($data == 1){
            $res = 1;
        }else{
            $res = 0;
        }
        return $res;
    }

    public function getSincronizaciones()
    {
        $sql = "select * from sincronizaciones";
        $data = $this->selectAll($sql);
        return $data;
    }
    
    

}
?>